function [A,B,C,D]=persys(t,lpvsys,ptrajectory,c,tdata)

if isempty(t), h=ptrajectory([],c,tdata,-1); A=h; return; end;

% Construct parameter vector at time t from basis functions
p=ptrajectory(t,c,tdata);

% Evaluate state-space matrices of LPV system at current parameter vector
[A,B,C,D]=lpvsys(p);
