clear all; close all;

%% Select an example
lpvsys=@lpvsys_haraldcatws; M=[31,31];
%lpvsys=@lpvsys_spinningdisks; lpvsys('init'); M=[20,20];
lpvsys=@lpvsys_autopilot; lpvsys('init'); M=[20,20];


%% The algorithm starts here
[~,~,~,rho_bnds,nu_bnds]=lpvsys([]);
rho_bnds
N=[1;1]; 
rho_grid=mgrid(rho_bnds,M,nu_bnds,N)
g=0; sizeofgrd=size(rho_grid,1);
perc=0; prevperc=-1;
fprintf('Computing the norm......');
for i=1:sizeofgrd
    perc=fix(100*i/sizeofgrd); 
    if perc>prevperc, fprintf('\b\b\b%3d',perc); end; 
    prevperc=perc;
    [A,B,C,D]=lpvsys(rho_grid(i,:));
    gi=norm(ss(A,B,C,D),inf,1e-8);
    if gi>g, g=gi; grd=rho_grid(i,:); end;
end;
g
grd

